%global snapdate 20140118

Name:           nftables
Version:        0
Release:        0.3.%{snapdate}git%{?dist}
Summary:        Netfilter Tables userspace utillites

License:        GPLv2
URL:            http://netfilter.org/projects/nftables/
Source0:        http://ftp.netfilter.org/pub/nftables/snapshot/nftables-%{snapdate}.tar.bz2

#
# Disable silent make so we can see compiler flags and such
# 
Patch1:        nftables-20140118-disable-silent-make.patch
#
# Point to the Fedora provided dtd for docbook to man/pdf conversion.
#
Patch2:        nftables-20140118-dtdpath.patch
#
# use the Fedora version of docbook2man
#
Patch3:        nftables-20140118-db2x_docbook2man.patch

BuildRequires: autogen
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: flex
BuildRequires: bison
BuildRequires: libmnl-devel
BuildRequires: gmp-devel
BuildRequires: readline-devel
BuildRequires: libnftables-devel
BuildRequires: docbook2X
BuildRequires: docbook-dtds

%description
Netfilter Tables userspace utilities.

%prep
%setup -q -n nftables-%{snapdate}

%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
./autogen.sh
%configure
make %{?_smp_mflags}

%install
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%files
%doc COPYING TODO
%config(noreplace) %{_sysconfdir}/nftables/
%{_sbindir}/nft
%{_mandir}/man8/nft*

%changelog
* Sat Jan 18 2014 Kevin Fenzi <kevin@scrye.com> 0-0.3.20140118git
- Update to 20140118 snapshot
- Fixed License tag to be correct
- Fixed changelog
- nft scripts now use full path for nft
- Fixed man page building
- Dropped unneeded rm in install
- Patched build to not be silent. 

* Tue Dec 03 2013 Kevin Fenzi <kevin@scrye.com> 0-0.2.20131202git
- Use upstream snapshots for source.
- Use 0 for version. 

* Sat Nov 30 2013 Kevin Fenzi <kevin@scrye.com> 0-0.1
- initial version for Fedora review
